select
  an.numero as numero_animal
  , an.nome as nome_animal
  , lac.dtfim as ultima_secagem
  , par.data as ultimo_parto
  , tp.descricao as tipo_ultimo_parto
  , (par.data - lac.dtfim ) as dias_de_intervalo
from
  animal an
  join reproducao par on par.cdreproducao =
   (select first 1 re.cdreproducao from reproducao re where re.cdanimal = an.cdanimal and re.cdtiporeproducao = '7' order by re.data desc)
  left join lactacao lac on lac.cdlactacao =
   (select first 1 re.cdlactacao from lactacao re where re.cdanimal = par.cdanimal and re.dtfim < par.data order by re.dtfim desc)
  join sp_categoriaanimal(current_date,'') sp on sp.animal = an.cdanimal
  left join tipoparto tp on tp.cdtipoparto = par.cdtipoparto
where
  an.dtbaixa is null
  and sp.cprodutiva = 4
order by
  6

